local StepParent = require "scenes.battlesystem.controllers.fighters.systems.choregraphy.step.parent"
local StepGFX = StepParent:extend()

function StepGFX:new(controller, args)
  StepGFX.super.new(self, controller, args)
end

function StepGFX:start()
  local x, y = self:getStepCoordinate()

  self.choregraphy.world.obj.GFX(self.choregraphy.world, x, y, 0, self.arguments.sprite, self, self.arguments.blockProcess)

  if (not self.arguments.blockProcess) then
    self:finish()
  end
end

function StepGFX:update(dt)

end

function StepGFX:getSignal(signal)
  if (signal == "gfxEnded") then
    self:finish()
  end
end


return StepGFX
